Skip to navigation

Retrieve payout method

Retrieves the details of an existing payout method.

Required permissions:

  • payout:destination:read

Authentication

AuthorizationBearer

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word ‘Bearer’, which will look like Bearer ***************************

Path parameters

idstringRequired
The unique identifier of the payout method to retrieve.

Response

A successful response
account_referencestring or null
A masked identifier for the payout destination, such as the last four digits of a bank account or an email address. Null if no reference is available.
companyobject or null
The company associated with this payout destination. Null if not linked to a specific company.
created_atdatetime
The datetime the payout token was created.
currencystring

The three-letter ISO currency code that payouts are delivered in for this destination.

destinationobject or null
The payout destination configuration linked to this token. Null if not yet configured.
idstring
The unique identifier for the payout token.
institution_namestring or null
The name of the bank or financial institution receiving payouts. Null if not applicable or not provided.
is_defaultboolean
Whether this is the default payout destination for the associated payout account.
nicknamestring or null

A user-defined label to help identify this payout destination. Not sent to the provider. Null if no nickname has been set.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error